import { BaseCoin } from '@bitgo/sdk-core';
import { BitGoAPI, BitGoAPIOptions } from '@bitgo/sdk-api';
import { TrimmedAmsTokenConfig } from '@bitgo/statics';
export type BitGoOptions = BitGoAPIOptions & {
    useAms?: boolean;
};
export declare class BitGo extends BitGoAPI {
    private _coinFactory;
    private _useAms;
    /**
     * Constructor for BitGo Object
     */
    constructor(params?: BitGoOptions);
    initCoinFactory(tokenConfigMap: Record<string, TrimmedAmsTokenConfig[]>): void;
    /**
     * Create a basecoin object
     * @param coinName
     */
    coin(coinName: string): BaseCoin;
    /**
     * Create a basecoin object for a virtual token
     * @param tokenName
     */
    token(tokenName: string): Promise<BaseCoin>;
}
//# sourceMappingURL=bitgo.d.ts.map