declare const _default: {
    invoice: {
        paymentHash: string;
        walletId: string;
        value: number;
        expiresAt: string;
        status: string;
        memo: string;
        invoice: string;
    };
    invoices: ({
        paymentHash: string;
        walletId: string;
        status: string;
        value: number;
        expiresAt: string;
        createdAt: string;
        updatedAt: string;
        amtPaidSats: number;
    } | {
        paymentHash: string;
        walletId: string;
        status: string;
        value: number;
        expiresAt: string;
        createdAt: string;
        updatedAt: string;
        amtPaidSats: undefined;
    })[];
    payment: {
        transfer: {
            entries: ({
                address: string;
                wallet: string;
                value: number;
                valueString: string;
                isChange?: undefined;
                isPayGo?: undefined;
            } | {
                address: string;
                value: number;
                valueString: string;
                isChange: boolean;
                isPayGo: boolean;
                wallet?: undefined;
            })[];
            id: string;
            coin: string;
            wallet: string;
            walletType: string;
            txid: string;
            height: number;
            heightId: string;
            date: string;
            type: string;
            value: number;
            valueString: string;
            baseValue: number;
            baseValueString: string;
            feeString: string;
            payGoFee: number;
            payGoFeeString: string;
            usd: number;
            usdRate: number;
            state: string;
            instant: boolean;
            isReward: boolean;
            isFee: boolean;
            tags: string[];
            history: ({
                date: string;
                user: string;
                action: string;
                comment: string;
            } | {
                date: string;
                action: string;
                user?: undefined;
                comment?: undefined;
            } | {
                date: string;
                user: string;
                action: string;
                comment?: undefined;
            })[];
            signedDate: string;
            comment: string;
            coinSpecific: {
                lightning: boolean;
                paymentHash: string;
            };
            commentedTime: string;
            signedTime: string;
            createdTime: string;
        };
        status: string;
        paymentHash: string;
    };
    payments: {
        amount: undefined;
        destination: string;
        failureReason: undefined;
        fee: undefined;
        feeLimit: number;
        invoice: string;
        paymentHash: string;
        paymentPreimage: undefined;
        sendQueueId: string;
        status: string;
        walletId: string;
    }[];
    withdraw: {
        txid: string;
    };
    deposit: {
        transfer: {
            entries: ({
                address: string;
                wallet: string;
                value: number;
                valueString: string;
                isChange?: undefined;
                isPayGo?: undefined;
            } | {
                address: string;
                value: number;
                valueString: string;
                isChange: boolean;
                isPayGo: boolean;
                wallet?: undefined;
            })[];
            id: string;
            coin: string;
            wallet: string;
            walletType: string;
            txid: string;
            height: number;
            heightId: string;
            date: string;
            type: string;
            value: number;
            valueString: string;
            baseValue: number;
            baseValueString: string;
            feeString: string;
            payGoFee: number;
            payGoFeeString: string;
            state: string;
            instant: boolean;
            isReward: boolean;
            isFee: boolean;
            tags: string[];
            history: ({
                date: string;
                action: string;
                user?: undefined;
            } | {
                date: string;
                user: string;
                action: string;
            })[];
            signedDate: string;
            coinSpecific: {
                lightning: boolean;
            };
            signedTime: string;
            createdTime: string;
        };
        status: string;
    };
    decodedLnurl: {
        callback: string;
        maxSendable: number;
        minSendable: number;
        metadata: string;
        tag: string;
    };
    parsedZeroValueInvoice: {
        descriptionHash: string;
        paymentHash: string;
        payeeNodeKey: string;
        millisatoshis: null;
    };
};
export default _default;
//# sourceMappingURL=lightning.d.ts.map