/** @format */
import { ECDSA } from '@bitgo/sdk-core';
export declare const paillierChallenge: string[];
export declare const paillierChallengeProof: string[];
export declare const keyShares: {
    userKeyShare: {
        pShare: {
            i: number;
            t: number;
            c: number;
            l: string;
            m: string;
            n: string;
            y: string;
            u: string;
            uu: string;
            chaincode: string;
        };
        nShares: {
            2: {
                i: number;
                j: number;
                n: string;
                y: string;
                v: string;
                u: string;
                chaincode: string;
            };
            3: {
                i: number;
                j: number;
                n: string;
                y: string;
                v: string;
                u: string;
                chaincode: string;
            };
        };
    };
    backupKeyShare: {
        pShare: {
            i: number;
            t: number;
            c: number;
            l: string;
            m: string;
            n: string;
            y: string;
            u: string;
            uu: string;
            chaincode: string;
        };
        nShares: {
            1: {
                i: number;
                j: number;
                n: string;
                y: string;
                v: string;
                u: string;
                chaincode: string;
            };
            3: {
                i: number;
                j: number;
                n: string;
                y: string;
                v: string;
                u: string;
                chaincode: string;
            };
        };
    };
    bitgoKeyShare: {
        pShare: {
            i: number;
            t: number;
            c: number;
            l: string;
            m: string;
            n: string;
            y: string;
            u: string;
            uu: string;
            chaincode: string;
        };
        nShares: {
            1: {
                i: number;
                j: number;
                n: string;
                y: string;
                v: string;
                u: string;
                chaincode: string;
            };
            2: {
                i: number;
                j: number;
                n: string;
                y: string;
                v: string;
                u: string;
                chaincode: string;
            };
        };
    };
};
export declare const otherKeyShares: ECDSA.KeyShare[];
export declare const gammaAndMuShareCreationParams: {
    aShare: {
        i: number;
        j: number;
        ntilde: string;
        h1: string;
        h2: string;
        n: string;
        k: string;
        alpha: string;
        mu: string;
        proof: {
            z: string;
            u: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
        };
        gammaProof: {
            z: string;
            zprm: string;
            t: string;
            v: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
            t1: string;
            t2: string;
            u: string;
            x: string;
        };
        wProof: {
            z: string;
            zprm: string;
            t: string;
            v: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
            t1: string;
            t2: string;
            u: string;
            x: string;
        };
        sigma: string[];
    };
    wShare: {
        i: number;
        l: string;
        m: string;
        n: string;
        y: string;
        ntilde: string;
        h1: string;
        h2: string;
        p: string[];
        k: string;
        ck: string;
        w: string;
        gamma: string;
    };
};
export declare const omicronAndDeltaShareCreationParams: {
    gShare: {
        i: number;
        n: string;
        y: string;
        k: string;
        w: string;
        gamma: string;
        alpha: string;
        mu: string;
        beta: string;
        nu: string;
    };
};
export declare const createUserSignatureParams: {
    oShare: {
        i: number;
        y: string;
        k: string;
        omicron: string;
        delta: string;
        Gamma: string;
    };
    dShare: {
        i: number;
        j: number;
        delta: string;
        Gamma: string;
    };
};
export declare const mockSignRT: {
    wShare: {
        i: number;
        l: string;
        m: string;
        n: string;
        y: string;
        ntilde: string;
        h1: string;
        h2: string;
        k: string;
        ck: string;
        w: string;
        gamma: string;
        p: undefined;
    };
    kShare: {
        i: number;
        j: number;
        n: string;
        ntilde: string;
        h1: string;
        h2: string;
        k: string;
        proof: {
            z: string;
            u: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
        };
        p: string[];
        sigma: string[];
    };
};
export declare const mockSignWithPaillierChallengeRT: {
    wShare: {
        i: number;
        l: string;
        m: string;
        n: string;
        y: string;
        ntilde: string;
        h1: string;
        h2: string;
        k: string;
        ck: string;
        w: string;
        gamma: string;
        p: undefined;
    };
    kShare: {
        p: string[];
        sigma: string[];
        i: number;
        j: number;
        n: string;
        ntilde: string;
        h1: string;
        h2: string;
        k: string;
        proof: {
            z: string;
            u: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
        };
    };
};
export declare const mockAShare: {
    i: number;
    j: number;
    ntilde: string;
    h1: string;
    h2: string;
    n: string;
    k: string;
    alpha: string;
    mu: string;
    proof: {
        z: string;
        u: string;
        w: string;
        s: string;
        s1: string;
        s2: string;
    };
    gammaProof: {
        z: string;
        zprm: string;
        t: string;
        v: string;
        w: string;
        s: string;
        s1: string;
        s2: string;
        t1: string;
        t2: string;
        u: string;
        x: string;
    };
    wProof: {
        z: string;
        zprm: string;
        t: string;
        v: string;
        w: string;
        s: string;
        s1: string;
        s2: string;
        t1: string;
        t2: string;
        u: string;
        x: string;
    };
    sigma: string[];
};
export declare const mockMuShare: {
    i: number;
    j: number;
    gammaProof: {
        z: string;
        zprm: string;
        t: string;
        v: string;
        w: string;
        s: string;
        s1: string;
        s2: string;
        t1: string;
        t2: string;
        u: string;
        x: string;
    };
    wProof: {
        z: string;
        zprm: string;
        t: string;
        v: string;
        w: string;
        s: string;
        s1: string;
        s2: string;
        t1: string;
        t2: string;
        u: string;
        x: string;
    };
    alpha: string;
    mu: string;
};
export declare const mockDShare: {
    i: number;
    j: number;
    delta: string;
    Gamma: string;
};
export declare const mockDShareToBitgo: {
    i: number;
    j: number;
    delta: string;
    Gamma: string;
};
export declare const mockSShare: {
    i: number;
    y: string;
    R: string;
    s: string;
};
export declare const mockSShareFromUser: {
    i: number;
    y: string;
    R: string;
    s: string;
};
export declare const mockedBitgoBShare: {
    aShare: {
        i: number;
        j: number;
        ntilde: string;
        h1: string;
        h2: string;
        n: string;
        k: string;
        alpha: string;
        mu: string;
        proof: {
            z: string;
            u: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
        };
        gammaProof: {
            z: string;
            zprm: string;
            t: string;
            v: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
            t1: string;
            t2: string;
            u: string;
            x: string;
        };
        wProof: {
            z: string;
            zprm: string;
            t: string;
            v: string;
            w: string;
            s: string;
            s1: string;
            s2: string;
            t1: string;
            t2: string;
            u: string;
            x: string;
        };
        p: string[];
    };
    bShare: {
        i: number;
        l: string;
        m: string;
        n: string;
        y: string;
        ntilde: string;
        h1: string;
        h2: string;
        k: string;
        ck: string;
        w: string;
        gamma: string;
        beta: string;
        nu: string;
        p: string[];
    };
};
export declare const mockedBitgoOAndDShare: {
    oShare: {
        i: number;
        y: string;
        k: string;
        omicron: string;
        delta: string;
        Gamma: string;
    };
    dShare: {
        i: number;
        j: number;
        delta: string;
        Gamma: string;
    };
};
export declare const mockedUserOAndDShare: {
    oShare: {
        i: number;
        y: string;
        k: string;
        omicron: string;
        delta: string;
        Gamma: string;
    };
    dShare: {
        i: number;
        j: number;
        delta: string;
        Gamma: string;
    };
};
export declare const mockCombinedSignature: {
    y: string;
    r: string;
    s: string;
    recid: number;
};
//# sourceMappingURL=ecdsaFixtures.d.ts.map