/**
 * @prettier
 */
import { bitgo } from '@bitgo/utxo-lib';
import { AddressInfo, TransactionIO } from '@bitgo/blockapis';
import { AbstractUtxoCoin, RecoveryProvider } from '@bitgo/abstract-utxo';
import * as utxolib from '@bitgo/utxo-lib';
type Unspent<TNumber extends number | bigint = number> = bitgo.Unspent<TNumber>;
export declare class MockRecoveryProvider implements RecoveryProvider {
    unspents: Unspent<bigint>[];
    private prevTxCache;
    constructor(unspents: Unspent<bigint>[]);
    getAddressInfo(address: string): Promise<AddressInfo>;
    getUnspentsForAddresses(addresses: string[]): Promise<Unspent[]>;
    getTransactionHex(txid: string): Promise<string>;
    getTransactionInputs(txid: string): Promise<Unspent[]>;
    getTransactionIO(txid: string): Promise<TransactionIO>;
}
export declare class MockCrossChainRecoveryProvider<TNumber extends number | bigint> implements RecoveryProvider {
    coin: AbstractUtxoCoin;
    unspents: Unspent<TNumber>[];
    tx: utxolib.bitgo.UtxoTransaction<TNumber>;
    private addressVersion;
    private addressFormat;
    constructor(coin: AbstractUtxoCoin, unspents: Unspent<TNumber>[], tx: utxolib.bitgo.UtxoTransaction<TNumber>);
    getUnspentsForAddresses(addresses: string[]): Promise<Unspent[]>;
    getTransactionIO(txid: string): Promise<TransactionIO>;
    getAddressInfo(address: string): Promise<AddressInfo>;
    getTransactionHex(txid: string): Promise<string>;
    getTransactionInputs(txid: string): Promise<Unspent<TNumber>[]>;
}
export {};
//# sourceMappingURL=mock.d.ts.map