/**
 * @prettier
 */
import { Triple } from '@bitgo/sdk-core';
import { BIP32Interface, bitgo } from '@bitgo/utxo-lib';
type RootWalletKeys = bitgo.RootWalletKeys;
export type KeychainBase58 = {
    pub: string;
    prv: string;
};
export type KeyDoc = {
    id: string;
    pub: string;
    source: string;
    encryptedPrv: string;
    coinSpecific: any;
};
export declare function toKeychainBase58(k: BIP32Interface): KeychainBase58;
export declare function toKeychainObjects(rootWalletKeys: RootWalletKeys, walletPassphrase: string): KeyDoc[];
export declare const KeyNames: string[];
export declare const keychainsBase58: Triple<KeychainBase58>;
export declare const keychains: Triple<BIP32Interface>;
export declare function getWalletUnspentSignerUserBitGo(keys: Triple<BIP32Interface>): bitgo.WalletUnspentSigner<RootWalletKeys>;
export declare function getDefaultWalletKeys(): RootWalletKeys;
export declare function getDefaultWalletUnspentSigner(): bitgo.WalletUnspentSigner<RootWalletKeys>;
export declare function encryptKeychain(password: string, keychain: KeychainBase58): string;
export declare function getWalletKeys(seed: string): RootWalletKeys;
export {};
//# sourceMappingURL=keychains.d.ts.map