/**
 * @prettier
 */
import * as utxolib from '@bitgo/utxo-lib';
type RootWalletKeys = utxolib.bitgo.RootWalletKeys;
type Unspent<TNumber extends number | bigint = number> = utxolib.bitgo.Unspent<TNumber>;
export type TransactionObj = {
    id: string;
    hex: string;
    ins: {
        txid: string;
        index: number;
        scriptSig?: string;
        witness?: string[];
    }[];
    outs: {
        script: string;
        value: number | string;
    }[];
};
export declare function transactionToObj<TNumber extends number | bigint = number>(tx: utxolib.bitgo.UtxoTransaction<TNumber>): TransactionObj;
export declare function transactionHexToObj(txHex: string, network: utxolib.Network, amountType?: 'number' | 'bigint'): TransactionObj;
export declare function createPrebuildTransaction<TNumber extends number | bigint = number>(network: utxolib.Network, unspents: Unspent<TNumber>[], outputAddress: string): utxolib.bitgo.UtxoTransaction<TNumber>;
export declare function createHalfSignedTransaction<TNumber extends number | bigint = number>(network: utxolib.Network, unspents: Unspent<TNumber>[], outputAddress: string, signer: utxolib.bitgo.WalletUnspentSigner<RootWalletKeys>, prebuild?: utxolib.bitgo.UtxoTransaction<TNumber>): utxolib.bitgo.UtxoTransaction<TNumber>;
export declare function createFullSignedTransaction<TNumber extends number | bigint = number>(network: utxolib.Network, unspents: Unspent<TNumber>[], outputAddress: string, signer: utxolib.bitgo.WalletUnspentSigner<RootWalletKeys>, halfSigned?: utxolib.bitgo.UtxoTransaction<TNumber>): utxolib.bitgo.UtxoTransaction<TNumber>;
export {};
//# sourceMappingURL=transaction.d.ts.map