/**
 * @prettier
 */
import * as utxolib from '@bitgo/utxo-lib';
type RootWalletKeys = utxolib.bitgo.RootWalletKeys;
type Unspent<TNumber extends number | bigint = number> = utxolib.bitgo.Unspent<TNumber>;
type WalletUnspent<TNumber extends number | bigint = number> = utxolib.bitgo.WalletUnspent<TNumber>;
type ChainCode = utxolib.bitgo.ChainCode;
export type InputScriptType = utxolib.bitgo.outputScripts.ScriptType2Of3 | 'replayProtection';
export declare function getOutputScript(walletKeys: RootWalletKeys, chain?: 0 | 1 | 10 | 30 | 11 | 20 | 21 | 31 | 40 | 41, index?: number): utxolib.bitgo.outputScripts.SpendableScript;
export declare function getWalletAddress(network: utxolib.Network, walletKeys: RootWalletKeys, chain?: 0 | 1 | 10 | 30 | 11 | 20 | 21 | 31 | 40 | 41, index?: number): string;
export declare function mockWalletUnspent<TNumber extends number | bigint = number>(network: utxolib.Network, walletKeys: RootWalletKeys, { id, chain, index, value, address }: Partial<WalletUnspent<TNumber>>): WalletUnspent<TNumber>;
export declare function mockUnspentReplayProtection<TNumber extends number | bigint = number>(network: utxolib.Network, value: TNumber): Unspent<TNumber>;
export declare function mockUnspent<TNumber extends number | bigint = number>(network: utxolib.Network, walletKeys: RootWalletKeys, chain: ChainCode | InputScriptType, index: number, value: TNumber): Unspent<TNumber>;
export {};
//# sourceMappingURL=unspents.d.ts.map