import { ExchangeCommitmentResponse, SignatureShareRecord } from '@bitgo/sdk-core';
import * as nock from 'nock';
export declare function nockSendTxRequest(params: {
    coin: string;
    walletId: string;
    txRequestId: string;
}): Promise<nock.Scope>;
export declare function nockSendSignatureShare(params: {
    walletId: string;
    txRequestId: string;
    signatureShare: unknown;
    signerShare?: string;
    tssType?: 'eddsa' | 'ecdsa';
}, status?: number): Promise<nock.Scope>;
export declare function nockSendSignatureShareWithResponse(params: {
    walletId: string;
    txRequestId: string;
    signatureShare: unknown;
    response: unknown;
    tssType?: 'eddsa' | 'ecdsa';
}, status?: number): Promise<nock.Scope>;
export declare function nockDeleteSignatureShare(params: {
    walletId: string;
    txRequestId: string;
    signatureShare: SignatureShareRecord;
    tssType?: 'eddsa' | 'ecdsa';
}, status?: number): Promise<nock.Scope>;
export declare function nockCreateTxRequest(params: {
    walletId: string;
    requestBody: unknown;
    response: unknown;
}): Promise<nock.Scope>;
export declare function nockGetTxRequest(params: {
    walletId: string;
    txRequestId: string;
    response: unknown;
    notPersist?: boolean;
}): Promise<nock.Scope>;
export declare function nockExchangeCommitments(params: {
    walletId: string;
    txRequestId: string;
    response: ExchangeCommitmentResponse;
    apiMode?: 'lite' | 'full';
    notPersist?: boolean;
}): Promise<nock.Scope>;
export declare function getRoute(tssType?: 'eddsa' | 'ecdsa'): string;
//# sourceMappingURL=common.d.ts.map