import { SignatureShareRecord } from '@bitgo/sdk-core';
import * as nock from 'nock';
export declare function nockSendSignatureShare(params: {
    walletId: string;
    txRequestId: string;
    signatureShare: any;
    signerShare?: string;
    response?: SignatureShareRecord;
    tssType?: 'ecdsa' | 'eddsa';
}, status?: number): Promise<nock.Scope>;
export declare function nockGetTxRequest(params: {
    walletId: string;
    txRequestId: string;
    response: any;
    times?: number;
}): Promise<nock.Scope>;
export declare function nockGetEnterprise(params: {
    enterpriseId: string;
    response: any;
    times?: number;
}): Promise<nock.Scope>;
export declare function nockGetChallenges(params: {
    walletId: string;
    response: any;
}): Promise<nock.Scope>;
export declare function nockGetChallenge(params: {
    walletId: string;
    txRequestId: string;
    addendum: string;
    response: any;
    times?: number;
}): Promise<nock.Scope>;
export declare function nockGetSigningKey(params: {
    enterpriseId: string;
    userId: string;
    response: any;
    times?: number;
}): Promise<nock.Scope>;
export declare function createWalletSignatures(privateKeyArmored: string, publicKeyToCertArmoredUser: string, publicKeyToCertArmoredBackup: string, notations: {
    name: string;
    value: string;
}[]): Promise<string>;
//# sourceMappingURL=helpers.d.ts.map